Bug 21308 - Show the search filters used on the search results page for acquisitions history searches
Summary: Show the search filters used on the search results page for acquisitions hist...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-31 23:17 UTC by Barton Chittenden
Modified: 2019-05-18 09:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement modifies the orders search results page so that the search form appears in the sidebar. This allows the user to view and re-use their search parameters.
Version(s) released in:
19.05.00


Attachments
Screenshot of search results, search for Title 'test' (92.30 KB, image/png)
2018-08-31 23:18 UTC, Barton Chittenden
Details
Bug 21308: Results from order search do not show the search parameters (4.98 KB, patch)
2019-02-22 13:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21308: Results from order search do not show the search parameters (5.03 KB, patch)
2019-03-01 20:44 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 21308: Results from order search do not show the search parameters (5.19 KB, patch)
2019-04-16 15:10 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21308: Results from order search do not show the search parameters (5.24 KB, patch)
2019-04-16 20:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2018-08-31 23:17:28 UTC
A report from one of our partner libraries:

"It would be nice if the system told us what our search was.
We are often interrupted and then come back and have to get back
into our previous work flow. ... it would be nice to see the search
parameter explicitly shown in the breadcrumb trail - or somewhere"

The breadcrumb trail showed

Home › Acquisitions › Orders search › Search results

... and there was no indication of what had been searched for in the URL, or anywhare on the page (aside from implicitly in the returned results).

I ran several searches from cgi-bin/koha/acqui/histsearch.pl myself, and confirmed this.

To re-create:

1) Navigate to Home › Acquisitions
2) Click on 'Orders Search' under the masthead search bar
3) Search for a title and click 'Submit'
4) Run a browser search for the the title, note that it appears only in the results.
Comment 1 Barton Chittenden 2018-08-31 23:18:20 UTC
Created attachment 78359 [details]
Screenshot of search results, search for Title 'test'
Comment 2 Owen Leonard 2019-02-22 13:34:36 UTC
Created attachment 85525 [details] [review]
Bug 21308: Results from order search do not show the search parameters

This patch modifies the orders search results page so that the search
form appears in the sidebar. This allows the user to view and re-use
their search parameters.

This patch also moves the "no search results" message to the top of the
page in a message box.

To test, apply the patch and go to Acquisitions -> Orders search.

 - Perform a search which will return results. In the sidebar you should
   see the full orders search form with your search parameters in the
   form fields.

 - Perform a search which will return no results. You should see the
   "Your search returned no results." message in a standard message
   dialog.
Comment 3 Josef Moravec 2019-02-25 14:19:29 UTC
I don't think it is signed off...
Comment 4 Bin Wen 2019-03-01 20:44:02 UTC
Created attachment 85913 [details] [review]
Bug 21308: Results from order search do not show the search parameters

This patch modifies the orders search results page so that the search
form appears in the sidebar. This allows the user to view and re-use
their search parameters.

This patch also moves the "no search results" message to the top of the
page in a message box.

To test, apply the patch and go to Acquisitions -> Orders search.

 - Perform a search which will return results. In the sidebar you should
   see the full orders search form with your search parameters in the
   form fields.

 - Perform a search which will return no results. You should see the
   "Your search returned no results." message in a standard message
   dialog.

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 5 Josef Moravec 2019-03-04 14:56:40 UTC
(In reply to Bin from comment #4)
> 
> Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Bin, you should also change status of report to "Signed off" when you are signing off.
Comment 6 ByWater Sandboxes 2019-04-16 15:10:10 UTC
Created attachment 88078 [details] [review]
Bug 21308: Results from order search do not show the search parameters

This patch modifies the orders search results page so that the search
form appears in the sidebar. This allows the user to view and re-use
their search parameters.

This patch also moves the "no search results" message to the top of the
page in a message box.

To test, apply the patch and go to Acquisitions -> Orders search.

 - Perform a search which will return results. In the sidebar you should
   see the full orders search form with your search parameters in the
   form fields.

 - Perform a search which will return no results. You should see the
   "Your search returned no results." message in a standard message
   dialog.

Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 7 Séverine Queune 2019-04-16 15:11:21 UTC
Seems ok to me !
Comment 8 Katrin Fischer 2019-04-16 20:35:46 UTC
Created attachment 88114 [details] [review]
Bug 21308: Results from order search do not show the search parameters

This patch modifies the orders search results page so that the search
form appears in the sidebar. This allows the user to view and re-use
their search parameters.

This patch also moves the "no search results" message to the top of the
page in a message box.

To test, apply the patch and go to Acquisitions -> Orders search.

 - Perform a search which will return results. In the sidebar you should
   see the full orders search form with your search parameters in the
   form fields.

 - Perform a search which will return no results. You should see the
   "Your search returned no results." message in a standard message
   dialog.

Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-04-16 20:36:09 UTC
I like it!
Comment 10 Nick Clemens 2019-04-19 14:54:08 UTC
Awesome work all!

Pushed to master for 19.05
Comment 11 Martin Renvoize 2019-04-26 14:02:00 UTC
Enhancement will not be backported to 18.11.x series.